Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class AbstractSVGNumberList.SVGNumberItem

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGNumber
          org.apache.batik.dom.svg.AbstractSVGNumberList.SVGNumberItem

All Implemented Interfaces:
  SVGItem, org.w3c.dom.svg.SVGNumber

Enclosing class:
  AbstractSVGNumberList

    protected class AbstractSVGNumberList.SVGNumberItem

extends AbstractSVGNumber
implements SVGItem

Representation of the item SVGNumber.

Field Summary
`protected AbstractSVGList` | `parentList` The `SVGNumberList` this item belongs to.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGNumber
`value`

Constructor Summary
`AbstractSVGNumberList.SVGNumberItem(float value)` Creates a new SVGNumberItem.

Method Summary
`AbstractSVGList` | `getParent()` Returns the list the item belongs to.
`String` | `getValueAsString()` Returns a String representation of the number.
`protected void` | `reset()` Notifies the parent `SVGNumberList` that this item's value has changed.
`void` | `setParent(AbstractSVGList list)` Associates this item to the given `SVGNumberList`.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGNumber
`getValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parentList

    protected AbstractSVGList parentList

  The `SVGNumberList` this item belongs to.

Constructor Detail

### AbstractSVGNumberList.SVGNumberItem

    public AbstractSVGNumberList.SVGNumberItem(float value)

  Creates a new SVGNumberItem.

Method Detail

### getValueAsString

    public String getValueAsString()

  Returns a String representation of the number.

  Specified by:
    `getValueAsString` in interface `SVGItem`
  Returns:
    textual representation of the item to be inserted in the attribute value representing the list.

### setParent

    public void setParent(AbstractSVGList list)

  Associates this item to the given `SVGNumberList`.

  Specified by:
    `setParent` in interface `SVGItem`
  Parameters:
    `list` - list the item belongs to.

### getParent

    public AbstractSVGList getParent()

  Returns the list the item belongs to.

  Specified by:
    `getParent` in interface `SVGItem`
  Returns:
    list the item belongs to. This could be if the item belongs to no list.

### reset

    protected void reset()

  Notifies the parent `SVGNumberList` that this item's value has changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.